# Generated by Django 3.2.5 on 2021-07-22 07:09

import django.core.validators
from django.db import migrations, models
import django.utils.timezone
import reports.models


class Migration(migrations.Migration):

    dependencies = [
        ('reports', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='output',
            name='created',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='output',
            name='updated',
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.AlterField(
            model_name='output',
            name='file',
            field=models.FileField(blank=True, null=True, upload_to=reports.models.report_output_directory_path),
        ),
        migrations.AlterField(
            model_name='report',
            name='script',
            field=models.FileField(blank=True, null=True, upload_to=reports.models.report_scripts_directory_path, validators=[django.core.validators.FileExtensionValidator(['py'])]),
        ),
    ]
